Subject: Re: bug#31317: 26.1; Add a tramp-make-tramp-temp-file* variant which returns the full tramp filename?

From: Phil Sainty <[email-masked]>
Date: Tue, 01 May 2018 02:37:03 +1200

On 2018-05-01 02:10, Michael Albinus wrote:
> Phil Sainty <[email-masked]> writes:
>> Would it make sense for `tramp-make-tramp-temp-file' to be utilising
>> that function?  (i.e. composing a tramp file name from VEC and then
>> handing off to `make-nearby-temp-file' ?)
> 
> No, see the comment inside `tramp-make-tramp-temp-file'.  It must use
> `make-temp-name' instead of `make-temp-file'.

I'm rather confused about why there would be a danger of an infinite
loop if `tramp-make-tramp-temp-file' called `make-nearby-temp-file',
if that (presumably) is not a danger if I call `make-nearby-temp-file'
in a tramp context?

I'm obviously missing something.  Never mind.  Thank you for pointing
me to the new function!

-Phil